$(function () {
    function ValidTemp() {
        var ExName = $("#ExName"),
        ExFloder = $("#ExFloder"),
        ExInfo = $("#ExInfo"),
        allFields = $([])
        .add(ExName)
        .add(ExFloder)
        .add(ExInfo)
        ;
        var bValid = true;
        allFields.removeClass("ui-state-error");
        bValid = bValid && checkLength(ExName, "模版名称", 3, 16);
        bValid = bValid && checkRegexp(ExFloder, RegEx_FloderName, "模版目录名称不能为空");
        return bValid;
    };
    $("form").submit(function () {
        if (!ValidTemp()) {
            $(this).find("button[type=submit]").removeClass("loading").removeAttr("disabled");
            return false;
        }
    });
});